Skip to main content
GET
/
api
/
v1
/
whatsapp_templates
/
{template_id}
Get a WhatsApp template
curl --request GET \
  --url https://api.izap.ai/api/v1/whatsapp_templates/{template_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'business-id: <business-id>'
{
  "id": "t1a2b3c4-1234-4a5b-9c8d-abcdef123456",
  "business_id": "6a1f2e2e-1c34-4e2a-9c3e-1234567890ab",
  "display_name": "order_confirmation",
  "language": "pt_BR",
  "status": "APPROVED",
  "body_text": "Seu pedido {{1}} foi confirmado!"
}

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /api/v1/auth/jwt/login, the OAuth token endpoint, or a business-scoped API token. Some Business/Chat/Template/Scheduling endpoints alternatively accept HTTP Basic credentials scoped to the business slug.

Headers

business-id
string<uuid>
required

Path Parameters

template_id
string<uuid>
required

Response

The template.

id
string<uuid>
business_id
string<uuid>
display_name
string
language
string
category
string | null
status
enum<string>
Available options:
DRAFT,
PENDING,
APPROVED,
REJECTED
body_text
string
created
string<date-time>
modified
string<date-time>